Bug 5758 - [UPDATE REQUEST] openssl 1.0.1m -> 1.0.1n
: [UPDATE REQUEST] openssl 1.0.1m -> 1.0.1n
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-12 09:50 MSD by Andrey Bondrov
Modified: 2015-06-22 17:39 MSD (History)
4 users (show)

See Also:
RPM Package: openssl
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
kuzma.kazygashev: secteam_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-06-12 09:50:57 MSD
New version of openssl was released. It fixes several security issues so we need to update.
Comment 1 Andrey Bondrov 2015-06-12 09:52:57 MSD
Advisory: "New version 1.0.1n. It fixes CVE-2015-1788, CVE-2015-1789, VE-2015-1790, CVE-2015-1791, CVE-2015-1792 and CVE-2014-8176 security issues."

https://abf.rosalinux.ru/build_lists/2509381
https://abf.rosalinux.ru/build_lists/2509382
Comment 2 Vladimir Potapov 2015-06-12 12:13:21 MSD
The update is sent to expanded testing
**************************************
Comment 3 Andrey Bondrov 2015-06-12 20:10:46 MSD
Fixed build lists.

Advisory: "New version 1.0.1n. It fixes CVE-2015-1788, CVE-2015-1789, VE-2015-1790, CVE-2015-1791, CVE-2015-1792 and CVE-2014-8176 security issues."

https://abf.rosalinux.ru/build_lists/2509423
https://abf.rosalinux.ru/build_lists/2509424
Comment 4 Vladimir Potapov 2015-06-12 20:41:49 MSD
The update is sent to expanded testing
****************************************
Comment 5 Vladimir Potapov 2015-06-16 10:04:38 MSD
The update crash wifi connection for some i586 computers.
http://bugs.rosalinux.ru/show_bug.cgi?id=5767#c2
***************************************************
QA Denied
Comment 6 Andrey Bondrov 2015-06-16 11:49:45 MSD
Advisory: "New version 1.0.1o. It comes with fixes for CVE-2015-1788, CVE-2015-1789, VE-2015-1790, CVE-2015-1791, CVE-2015-1792 and CVE-2014-8176 security issues, introduced in 1.0.1n. It also fixes ABI compatibility problems, introduced in 1.0.1n."

https://abf.rosalinux.ru/build_lists/2510717
https://abf.rosalinux.ru/build_lists/2510718
Comment 7 FirstLevel 2015-06-16 12:27:06 MSD
(In reply to comment #6)
> Advisory: "New version 1.0.1o. It comes with fixes for CVE-2015-1788,
> CVE-2015-1789, VE-2015-1790, CVE-2015-1791, CVE-2015-1792 and CVE-2014-8176
> security issues, introduced in 1.0.1n. It also fixes ABI compatibility
> problems, introduced in 1.0.1n."
> 
> https://abf.rosalinux.ru/build_lists/2510717
> https://abf.rosalinux.ru/build_lists/2510718

I have added last repo, but cannot see differences:
test32 urpmi # urpmi --auto-update  
источник «Main» уже обновлён
источник «Main Updates» уже обновлён
источник «Main Testing» уже обновлён
источник «Contrib» уже обновлён
источник «Contrib Updates» уже обновлён
источник «Non-free» уже обновлён
источник «Non-free Updates» уже обновлён
источник «Non-free Testing» уже обновлён
источник «Restricted» уже обновлён
источник «Restricted Updates» уже обновлён
источник «Restricted Testing» уже обновлён
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «Main Testing»)
 libcrypto1.0.0                 1.0.1n       2             rosa  2014.1 i586 
 libopenssl-engines1.0.0        1.0.1n       2             rosa  2014.1 i586 
 libssl1.0.0                    1.0.1n       2             rosa  2014.1 i586 
 openssl                        1.0.1n       2             rosa  2014.1 i586 
Будет использовано 142КБ дополнительного дискового пространства.
Будет загружено 1.3МБ пакетов.
Установить 4 пакетов? (Y/n) n
test32 urpmi # urpmi.addmedia tst http://abf-downloads.rosalinux.ru/rosa2014.1/container/2510718/x86_64/main/release/
добавляется источник «tst»
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2510718/x86_64/main/release/media_info/20150616-074916-synthesis.hdlist.cz
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2510718/x86_64/main/release/media_info/20150616-074916-info.xml.lzma                      
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2510718/x86_64/main/release/media_info/20150616-074916-files.xml.lzma                     
    http://abf-downloads.rosalinux.ru/rosa2014.1/container/2510718/x86_64/main/release/media_info/20150616-074916-changelog.xml.lzma                 
test32 urpmi # urpmi --auto-update 
источник «Main» уже обновлён
источник «Main Updates» уже обновлён
источник «Main Testing» уже обновлён
источник «Contrib» уже обновлён
источник «Contrib Updates» уже обновлён
источник «Non-free» уже обновлён
источник «Non-free Updates» уже обновлён
источник «Non-free Testing» уже обновлён
источник «Restricted» уже обновлён
источник «Restricted Updates» уже обновлён
источник «Restricted Testing» уже обновлён
источник «tst» уже обновлён
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «Main Testing»)
 libcrypto1.0.0                 1.0.1n       2             rosa  2014.1 i586 
 libopenssl-engines1.0.0        1.0.1n       2             rosa  2014.1 i586 
 libssl1.0.0                    1.0.1n       2             rosa  2014.1 i586 
 openssl                        1.0.1n       2             rosa  2014.1 i586 
Будет использовано 142КБ дополнительного дискового пространства.
Будет загружено 1.3МБ пакетов.
Установить 4 пакетов? (Y/n)
Comment 8 FirstLevel 2015-06-16 13:49:16 MSD
(In reply to comment #6)
> Advisory: "New version 1.0.1o. It comes with fixes for CVE-2015-1788,
> CVE-2015-1789, VE-2015-1790, CVE-2015-1791, CVE-2015-1792 and CVE-2014-8176
> security issues, introduced in 1.0.1n. It also fixes ABI compatibility
> problems, introduced in 1.0.1n."
> 
> https://abf.rosalinux.ru/build_lists/2510717
> https://abf.rosalinux.ru/build_lists/2510718

For 32bit wi-fi is working
Comment 9 FirstLevel 2015-06-16 14:00:42 MSD
(In reply to comment #6)
> Advisory: "New version 1.0.1o. It comes with fixes for CVE-2015-1788,
> CVE-2015-1789, VE-2015-1790, CVE-2015-1791, CVE-2015-1792 and CVE-2014-8176
> security issues, introduced in 1.0.1n. It also fixes ABI compatibility
> problems, introduced in 1.0.1n."
> 
> https://abf.rosalinux.ru/build_lists/2510717
> https://abf.rosalinux.ru/build_lists/2510718

For 64bit wi-fi is working
Comment 10 Vladimir Potapov 2015-06-16 14:50:47 MSD
The update is sent to expanded testing
**************************************
Comment 11 Vladimir Potapov 2015-06-22 14:06:55 MSD
openssl-1.0.1o-1
https://abf.rosalinux.ru/build_lists/2510717
https://abf.rosalinux.ru/build_lists/2510718
***************************** Advisory ********************************
New version 1.0.1o. It comes with fixes for CVE-2015-1788, CVE-2015-1789, VE-2015-1790, CVE-2015-1791, CVE-2015-1792 and CVE-2014-8176 security issues, introduced in 1.0.1n. It also fixes ABI compatibility problems, introduced in 1.0.1n.
************************************************************************
QA Verified